package com.mosty.qwzx.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.qwzx.TbQwBxfsqEditDto;
import com.mosty.base.model.entity.qwzx.TbQwXfBxfsq;
import com.mosty.base.model.query.qwzx.TbQwXfBxfsqQuery;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface TbQwXfBxfsqService {

    @ApiOperation("新增不巡防申请")
    int addBxfsq(TbQwXfBxfsq bxfsq);

    @ApiOperation("查询不巡防申请")
    IPage<TbQwXfBxfsq> getBxfsq(TbQwXfBxfsqQuery bxfsq, IPage<TbQwXfBxfsq> page);

    @ApiOperation("编辑不巡防申请")
    int editBxfsq(TbQwXfBxfsq bxfsq);

    @ApiOperation("删除不巡防申请")
    boolean deleteBatch(List<String> ids);

    @ApiOperation("ID删除")
    boolean deleteById(String id);

    @ApiOperation("根据ID查询")
    TbQwXfBxfsq selectById(String id);

    @ApiOperation("审批不巡防申请")
    int judge(TbQwBxfsqEditDto dto);
}
